#ifndef AVRECEIVERDATA_H
#define AVRECEIVERDATA_H
#include <QString>
#include "GlobalDefine.h"


class CAvReceiverMainStatus
{
public:

    QByteArray ToByteArray();
    int FromByteArray(QByteArray Data);

    CAvReceiverMainStatus();

    bool mMainPwrStatus;
    bool mMainSleepStatus;
    float mMainVolume;
    bool mIsMute;
    QString mInput;
    QString mProgram;

    bool mDataValid;
    bool mReceiverOnline;

};

QDataStream &operator<<(QDataStream &out, const CAvReceiverMainStatus &source);
QDataStream &operator>>(QDataStream &in, CAvReceiverMainStatus &dest);

#endif // AVRECEIVERDATA_H
